package asandatabasebrowser.model;


/**
 * テーブル/検索結果情報<<interface>>
 * @see	TableInfo, ResultSetInfo
 */
public interface ITableInfo {

//	/** タイトル名を返す。*/
//	public String getTitleName();

	/** 表示文字列を返す */
	public String getColumnName(int index);
	
	/** カラム情報を返す. */
	public IColumnInfo getIColumnInfo(int index);
	
	/** カラム数を返す */
	public int getColumnCount();

	/** 同じか？*/
	public boolean equals(Object obj);

//	/** レコードを取得する。 */
//	public ArrayList getRecords(String sql) throws DbException;

	public VvDatabase getDatabase();
}


